<?php
/*
  Plugin Name: Posts Revision Count
  Plugin URI:
  Description: 投稿と固定ページの一覧でリビジョン数を表示する（WordPress 6.1以上）
  Version: 0.9
  Author: sainoa
  License: public domain
*/

if (function_exists('wp_get_latest_revision_id_and_total_count')) {
	function column_revision_title($columns) {
		$columns['revisions'] = "リビジョン数";
		return $columns;
	}
	
	function colmun_revision_count($column_name, $post_id) {
		if($column_name == 'revisions'){
			$revisions = wp_get_latest_revision_id_and_total_count();
			echo($revisions['count']);
		}
	}
	
	add_filter('manage_posts_columns', 'column_revision_title');
	add_action('manage_posts_custom_column', 'colmun_revision_count', 10, 2);
	
	add_filter('manage_pages_columns', 'column_revision_title');
	add_action('manage_pages_custom_column', 'colmun_revision_count', 10, 2);
}

/* vi: set tabstop=8 shiftwidth=4 encoding=utf-8 */
